"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deactivate = exports.activate = void 0;
const vscode = require("vscode");
function activate(context) {
    const tabGroups = vscode.window.tabGroups;
    tabGroups.onDidChangeTabs((e) => {
        e.closed.forEach(t => {
            vscode.window.showInformationMessage('Tab ' + t.label + ' closed.');
        });
    });
    let disposable = vscode.commands.registerCommand('tab-test.closeActiveTab', () => {
        const activeTabGroup = tabGroups.activeTabGroup;
        const activeTab = activeTabGroup.activeTab;
        if (activeTab) {
            const activeTabLabel = vscode.window.tabGroups.activeTabGroup.activeTab?.label;
            vscode.window.showInformationMessage('Moin from tab-test! Active: ' + activeTabLabel);
            tabGroups.close(activeTab);
        }
    });
    context.subscriptions.push(disposable);
}
exports.activate = activate;
function deactivate() { }
exports.deactivate = deactivate;
//# sourceMappingURL=extension.js.map